Telegram Raspberry pi 4


How do I run Telegram.
I use Raspbian OS 32bit on a Rapberry PI 4 4gb.
Thanks.

Hi, can you open a terminal window and run the following commands and paste the output back for us to see?

snap version

and

snap list

and

snap install telegram-desktop

?

Hi,
I am new to the Raspberry Pi. Thanks for assisting.
I got the following:-

pi@raspberrypi:~ $ snap version
snap 2.37.4-1+rpi1
snapd 2.37.4-1+rpi1
series 16
raspbian 10
kernel 5.4.72-v7l+

pi@raspberrypi:~ $ snap list
Name Version Rev Tracking Publisher Notes
core18 20200929 1937 stable canonical✓ base
core20 20 633 stable canonical✓ base
gnome-3-28-1804 3.28.0-19-g98f9e67.98f9e67 146 stable canonical✓ -
gtk-common-themes 0.1-36-gc75f853 1506 stable canonical✓ -
inkscape 1.0rc1 7565 stable inkscape✓ -
telegram-desktop 2.4.7 2203 stable telegram.desktop -

pi@raspberrypi:~ $ snap install telegram-desktop
snap “telegram-desktop” is already installed, see ‘snap help refresh’

Not to sure how to start the program as, don’t see any icon on the desktop or in the menu.
Thanks.

You should try snap install core and then try

snap run telegram-desktop

I’m not sure why it doesn’t show up as an installed application, but if we can get it to run from the terminal then that’s a start

I am having a similar problem with tcp-server-client-tool snap.

I tried the version and list commands with similar results.

When I “snap run tcp-server-client-tool” I get the following response.

error: cannot find app “tcp-server-client-tool” in “tcp-server-client-tool”

In the directory there are a lot of files. Which one actually runs the snap ?

Thanks
Patrick

Apologies… I have a Pi 4 running, I think, Raspbian. I have 16GB disk.

This is explained here: Tcp-server-client-tool on the Pi. The issue is with the snap.

Can you explain what happens when you do snap run telegram-desktop ?

Hi there, we have abit of time difference.
I did as explained got it running in terminal with error. Still no icon in menu.
Thanks, do appreciate your help.
See below-
pi@raspberrypi:~ $ snap install core
2020-11-25T18:25:35+02:00 INFO Waiting for restart…
core 16-2.47.1 from Canonical✓ installed
Channel latest/stable for core is closed; temporarily forwarding to stable.
pi@raspberrypi:~ $ snap run telegram-desktop
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object ‘/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so’ from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.

(process:10747): Telegram-WARNING **: 18:27:32.137: Unfortunately, GTK integration conflicts with qgtk2 platformtheme and style. Therefore, QT_QPA_PLATFORMTHEME and QT_STYLE_OVERRIDE will be unset.
Telegram-Message: 18:27:32.142: This can be ignored by setting TDESKTOP_I_KNOW_ABOUT_GTK_INCOMPATIBILITY environment variable to any value, however, if qgtk2 theme or style is used, this will lead to a crash.
Telegram-Message: 18:27:32.142: GTK integration can be disabled by setting TDESKTOP_DISABLE_GTK_INTEGRATION to any value. Keep in mind that this will lead to clipboard issues and tdesktop will be unable to get settings from GTK (such as decoration layout, dark mode & more).
Telegram-Message: 18:27:35.076: You can disable tray icon counter with TDESKTOP_DISABLE_TRAY_COUNTER and make it look better if it is monochrome.

(telegram-desktop:10747): GLib-GIO-WARNING **: 18:27:35.332: Failed to execute child process “update-desktop-database” (No such file or directory)
libEGL warning: MESA-LOADER: failed to open vc4 (search paths /snap/telegram-desktop/2203/usr/lib/arm-linux-gnueabihf/dri)

libEGL warning: MESA-LOADER: failed to open vc4 (search paths /snap/telegram-desktop/2203/usr/lib/arm-linux-gnueabihf/dri)

libEGL warning: MESA-LOADER: failed to open swrast (search paths /snap/telegram-desktop/2203/usr/lib/arm-linux-gnueabihf/dri)

libEGL warning: MESA-LOADER: failed to open swrast (search paths /snap/telegram-desktop/2203/usr/lib/arm-linux-gnueabihf/dri)

libEGL warning: MESA-LOADER: failed to open vc4 (search paths /snap/telegram-desktop/2203/usr/lib/arm-linux-gnueabihf/dri)

libEGL warning: MESA-LOADER: failed to open vc4 (search paths /snap/telegram-desktop/2203/usr/lib/arm-linux-gnueabihf/dri)

libEGL warning: MESA-LOADER: failed to open swrast (search paths /snap/telegram-desktop/2203/usr/lib/arm-linux-gnueabihf/dri)

libEGL warning: MESA-LOADER: failed to open swrast (search paths /snap/telegram-desktop/2203/usr/lib/arm-linux-gnueabihf/dri)

error: : cannot open
error: : cannot open
error: : cannot open